Subject: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Fri, 09 Nov 2012 15:21:55 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Fabrice Niessen" <[email-masked]>
>> 
>> I don't use cmdproxy.exe; I use Cygwin bash for all my shell calls:
>
> Which could be the reason for the problem, btw, because Cygwin console
> programs work differently wrt their standard streams than native
> Windows programs.

*I won't do it now*, then, but would that mean that I should use:

- cmdproxy for single shell commands, and
- bash for the interactive shell?

that is:

--8<---------------cut here---------------start------------->8---
      ;; for single shell commands
      (setq shell-file-name "cmdproxy.exe")

      ;; for the interactive (sub)shell
      (setq explicit-shell-file-name "bash")
--8<---------------cut here---------------end--------------->8---

However, if I do that, I loose `sort', `grep', etc. that I can call on
buffers, interactively.

Or is there some third "shell filename" which could be set only to call
external programs such as es.exe, letting me with bash tools for the subshell
in Emacs, and for commands on buffers?

>> But I definitely (re-)confirm that I see es.exe processes in the ps command.
>> In fact, Emacs launches a bash which launches a es.exe process.
>
> If helm-for-files uses shell-command or its ilk to invoke es.exe, then
> this is normal.
>
> The question is, what do you see in Emacs subprocesses when Emacs
> hangs.

I'm waiting for that... Should be known quite soon... ;-(

Best regards,
Fabrice